cURL
curl https://api.exponent.finance/market-stats
import requests
response = requests.get("https://api.exponent.finance/market-stats", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/market-stats");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"totalVolume": 3041928569.7757893,
"totalYieldSettled": 385691290.52773446,
"uniqueUsers": 35677,
"totalValueLocked": 92533710.97,
"expiresAt": 1791996727694,
"uniqueUsersFormatted": "36K",
"totalVolumeFormatted": "$3.04B+",
"totalValueLockedFormatted": "$92.53M",
"totalYieldSettledFormatted": "$385.69M+"
}
{
"error": "Failed to fetch market stats"
}
Core
Protocol statistics
Returns aggregate market statistics used by the Exponent app.
GET
/
market-stats
cURL
curl https://api.exponent.finance/market-stats
import requests
response = requests.get("https://api.exponent.finance/market-stats", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/market-stats");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"totalVolume": 3041928569.7757893,
"totalYieldSettled": 385691290.52773446,
"uniqueUsers": 35677,
"totalValueLocked": 92533710.97,
"expiresAt": 1791996727694,
"uniqueUsersFormatted": "36K",
"totalVolumeFormatted": "$3.04B+",
"totalValueLockedFormatted": "$92.53M",
"totalYieldSettledFormatted": "$385.69M+"
}
{
"error": "Failed to fetch market stats"
}
cURL
curl https://api.exponent.finance/market-stats
import requests
response = requests.get("https://api.exponent.finance/market-stats", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/market-stats");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"totalVolume": 3041928569.7757893,
"totalYieldSettled": 385691290.52773446,
"uniqueUsers": 35677,
"totalValueLocked": 92533710.97,
"expiresAt": 1791996727694,
"uniqueUsersFormatted": "36K",
"totalVolumeFormatted": "$3.04B+",
"totalValueLockedFormatted": "$92.53M",
"totalYieldSettledFormatted": "$385.69M+"
}
{
"error": "Failed to fetch market stats"
}